<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8"/>
  <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
  <meta name="viewport" content="width=device-width, initial-scale=1"/>
  <title>Show Product Stock Component</title>
</head>

<body>
<div class="text-center mt-3">
  <button (click)="showProductQuantityInStock()"
          [disabled]="requestInProgress"
          [ngClass]="{'btn-success': product && product.getQuantityInStock > 0, 'btn-danger': product && product.getQuantityInStock === 0}"
          class="btn btn-primary w-25"
          type="button">
    <ng-template [ngIf]="requestInProgress" [ngIfElse]="requestNotInProgress">
      <div class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></div>
    </ng-template>
    <ng-template #requestNotInProgress>
      <div *ngIf="product && product.getQuantityInStock == null">Show stock information</div>
      <div *ngIf="product && product.getQuantityInStock >= 0">
        {{ product.getQuantityInStock }}
        <em class="bi bi-arrow-repeat icon-repeat d-inline-block float-end"></em>
      </div>
    </ng-template>
  </button>
</div>
</body>

</html>
